#
# Conditional build:
%bcond_without	tests		# don't perform "make check"
				# (note: tests need endoder-enabled szip)
%bcond_with	tests_net	# remote tests (Internet access required)
#
Summary:	NetCDF: Network Common Data Form
Summary(pl.UTF-8):	NetCDF: obsługa wspólnego sieciowego formatu danych
Name:		netcdf
Version:	4.2.1.1
Release:	2
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.gz
# Source0-md5:	5eebcf19e6ac78a61c73464713cbfafc
URL:		http://www.unidata.ucar.edu/packages/netcdf/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	doxygen
BuildRequires:	hdf5-devel >= 1.8.5
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	szip-devel >= 2.1-2
BuildRequires:	texinfo
Requires:	hdf5 >= 1.8.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetCDF (network Common Data Form) is an interface for array-oriented
data access and a library that provides an implementation of the
interface. The netCDF library also defines a machine-independent
format for representing scientific data. Together, the interface,
library, and format support the creation, access, and sharing of
scientific data. The netCDF software was developed at the Unidata
Program Center in Boulder, Colorado.

This package contains C library.

%description -l pl.UTF-8
NetCDF (Network Common Data Form) jest interfejsem dostępu do danych
zorganizowanych w tablice. Biblioteka netCDF definiuje niezależny od
maszyny format reprezentowania danych naukowych. Interfejs oraz
biblioteka pozwalają na tworzenie, dostęp i współdzielenie danych.
NetCDF powstał w Unidata Program Center w Boulder, Colorado.

Ten pakiet zawiera bibliotekę dla C.

%package devel
Summary:	Header files for netCDF
Summary(pl.UTF-8):	Pliki nagłówkowe netCDF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	hdf5-devel >= 1.8.5
Requires:	szip-devel

%description devel
Header files for netCDF - C interface.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki netCDF - interfejs dla C.

%package static
Summary:	NetCDF - static library
Summary(pl.UTF-8):	Biblioteka statyczna netCDF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of netCDF C library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki netCDF dla C.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_tests_net:--disable-dap-remote-tests} \
	--enable-dap \
	--enable-doxygen \
	--enable-netcdf-4 \
# --enable-cdmremote doesn't build atm. (tested on 4.2)
# --enable-rpc the same
# --enable-hdf4 would cause dependency loop (hdf4 requires netcdf)

%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README RELEASE_NOTES
%attr(755,root,root) %{_bindir}/nccopy
%attr(755,root,root) %{_bindir}/ncdump
%attr(755,root,root) %{_bindir}/ncgen
%attr(755,root,root) %{_bindir}/ncgen3
%attr(755,root,root) %{_libdir}/libnetcdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnetcdf.so.7
%{_mandir}/man1/nccopy.1*
%{_mandir}/man1/ncdump.1*
%{_mandir}/man1/ncgen.1*
%{_mandir}/man1/ncgen3.1*

%files devel
%defattr(644,root,root,755)
%doc man4/html/*
%attr(755,root,root) %{_bindir}/nc-config
%attr(755,root,root) %{_libdir}/libnetcdf.so
%{_libdir}/libnetcdf.la
%{_includedir}/netcdf.h
%{_pkgconfigdir}/netcdf.pc
%{_mandir}/man3/netcdf.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnetcdf.a
%changelog
* Wed Aug 22 2012 Kacper Kornet <draenog@pld-linux.org> 02f975c
 - up to 4.2.1.1

* Mon Aug 20 2012 Kacper Kornet <draenog@pld-linux.org> 85b72f9
- request generation of documentation

* Mon Aug 20 2012 Kacper Kornet <draenog@pld-linux.org> f30b219
- up to 4.2.1

* Wed Mar 21 2012 Jakub Bogusz <qboosh@pld-linux.org> d2435fb
- updated Source0-md5 (they regenerated it with one more fix and rpc disabled)

* Tue Mar 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 9292de2
- updated to 4.2
- removed obsolete szip patch; info and f90 patches no longer applicable here
- fortran and c++ bindings moved to separate packages (netcdf-{fortran,cxx,cxx4}.spec)

* Mon Sep 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 660016d
- release 2

* Sun Jul 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 448fc01
- disable dap-remote-tests by default (using tests_net bcond)

* Sun Jun 26 2011 Jakub Bogusz <qboosh@pld-linux.org> a5ed444
- updated to 4.1.3
- removed obsolete link patch
- added new patches: szip (library name fix), f90 (Fortran 90 compile fixes)
- build NetCDF 4 C++ interface
- tests need encoder-enabled szip library

* Wed May 04 2011 Jakub Bogusz <qboosh@pld-linux.org> e012fa8
- updated to 4.1.2 (note: new libnetcdf,libnetcdf_c++ sonames)
- added link patch

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 153107d
- %description <name> for correct %package

* Sat Oct 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 6f1b7ff
- require recent hdf5 (1.8.1 was not enough)

* Sat Oct 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 5c3de20
- updated to 4.1.1 (new sonames)
- updated info patch
- build with netcdf-4 and dap support

* Thu Apr 23 2009 Jakub Bogusz <qboosh@pld-linux.org> 10e9b54
- updated to 4.0.1
- updated info patch

* Thu Apr 23 2009 Jakub Bogusz <qboosh@pld-linux.org> 53ab525
- updated for 4.0.1

* Tue Nov 25 2008 duddits <duddits@pld-linux.org> 313826f
- up to 4.0

* Sat Nov 01 2008 Jakub Bogusz <qboosh@pld-linux.org> b58f00b
- cleanup

* Sat Nov 01 2008 Jakub Bogusz <qboosh@pld-linux.org> ca955c1
- added info patch
- package info files and ghost soname symlinks

* Sat Nov 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 1023123
- unify direntries

* Wed Oct 29 2008 duddits <duddits@pld-linux.org> ecbe1b4
- up to 3.6.3

* Tue Mar 18 2008 hawk <hawk@pld-linux.org> 20d9a64
- fix make install error caused by incorrect subdir order (thx qboosh)
- release 3

